%define upstream_name Test-CleanNamespaces
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check for uncleaned imports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Package::Stash) >= 0.140.0
BuildRequires: perl(Role::Tiny) >= 1.3.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Check for uncleaned imports.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1520837
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 tv <tv> 0.240.0-1.mga7
+ Revision: 1339933
- update to 0.24

* Thu Sep 20 2018 umeabot <umeabot> 0.230.0-2.mga7
+ Revision: 1286416
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 tv <tv> 0.230.0-1.mga7
+ Revision: 1239804
- update to 0.23

* Wed Jul 19 2017 sander85 <sander85> 0.220.0-1.mga7
+ Revision: 1125076
- update to 0.22

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1034178
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 966494
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 845811
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 748757
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-2.mga5
+ Revision: 686412
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 669872
- update to 0.16

* Sat Aug 16 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 664178
- update to 0.15

* Fri Aug 15 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 662769
- imported package perl-Test-CleanNamespaces

